# Uses of Class
org.mariadb.jdbc.UrlParser

Packages that use UrlParser
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util
org.mariadb.jdbc.internal.util.pool

## Uses of UrlParser in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return UrlParser
Modifier and Type
Method
Description
`UrlParser`
UrlParser.`auroraPipelineQuirks()`
Permit setting parameters not forced.
`protected UrlParser`
MariaDbDataSource.`getUrlParser()`
For testing purpose only.
`protected UrlParser`
MariaDbPoolDataSource.`getUrlParser()`
For testing purpose only.
`static UrlParser`
UrlParser.`parse(String url)`
`static UrlParser`
UrlParser.`parse(String url, Properties prop)`
Parse url connection string with additional properties.
Methods in org.mariadb.jdbc with parameters of type UrlParser
Modifier and Type
Method
Description
`static MariaDbConnection`
MariaDbConnection.`newConnection(UrlParser urlParser, GlobalStateInfo globalInfo)`
Create new connection Object.
Constructors in org.mariadb.jdbc with parameters of type UrlParser
Modifier
Constructor
Description
``
`MariaDbDatabaseMetaData(Connection connection, UrlParser urlParser)`
Constructor.

## Uses of UrlParser in org.mariadb.jdbc.internal.failover

Fields in org.mariadb.jdbc.internal.failover declared as UrlParser
Modifier and Type
Field
Description
`final UrlParser`
AbstractMastersListener.`urlParser`
Methods in org.mariadb.jdbc.internal.failover that return UrlParser
Modifier and Type
Method
Description
`UrlParser`
AbstractMastersListener.`getUrlParser()`
`UrlParser`
Listener.`getUrlParser()`
Constructors in org.mariadb.jdbc.internal.failover with parameters of type UrlParser
Modifier
Constructor
Description
`protected`
`AbstractMastersListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
`protected`
`AbstractMastersReplicasListener(UrlParser urlParser, GlobalStateInfo globalInfo)`

## Uses of UrlParser in org.mariadb.jdbc.internal.failover.impl

Constructors in org.mariadb.jdbc.internal.failover.impl with parameters of type UrlParser
Modifier
Constructor
Description
``
`AuroraListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
Constructor for Aurora.
``
`MastersFailoverListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
Initialisation.
``
`MastersReplicasListener(UrlParser urlParser, GlobalStateInfo globalInfo)`
Initialisation.

## Uses of UrlParser in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as UrlParser
Modifier and Type
Field
Description
`protected final UrlParser`
AbstractConnectProtocol.`urlParser`
Methods in org.mariadb.jdbc.internal.protocol that return UrlParser
Modifier and Type
Method
Description
`UrlParser`
AbstractConnectProtocol.`getUrlParser()`
`UrlParser`
Protocol.`getUrlParser()`
Methods in org.mariadb.jdbc.internal.protocol with parameters of type UrlParser
Modifier and Type
Method
Description
`static AuroraProtocol`
AuroraProtocol.`getNewProtocol(FailoverProxy proxy, GlobalStateInfo globalInfo, UrlParser urlParser)`
Initialize new protocol instance.
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type UrlParser
Modifier
Constructor
Description
``
`AbstractConnectProtocol(UrlParser urlParser, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
Get a protocol instance.
``
`AuroraProtocol(UrlParser url, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
``
`MasterProtocol(UrlParser urlParser, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
Get a protocol instance.
``
`MastersReplicasProtocol(UrlParser url, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`

## Uses of UrlParser in org.mariadb.jdbc.internal.util

Methods in org.mariadb.jdbc.internal.util with parameters of type UrlParser
Modifier and Type
Method
Description
`static Protocol`
Utils.`retrieveProxy(UrlParser urlParser, GlobalStateInfo globalInfo)`
Retrieve protocol corresponding to the failover options.

## Uses of UrlParser in org.mariadb.jdbc.internal.util.pool

Methods in org.mariadb.jdbc.internal.util.pool that return UrlParser
Modifier and Type
Method
Description
`UrlParser`
Pool.`getUrlParser()`
Methods in org.mariadb.jdbc.internal.util.pool with parameters of type UrlParser
Modifier and Type
Method
Description
`static Pool`
Pools.`retrievePool(UrlParser urlParser)`
Get existing pool for a configuration.
Constructors in org.mariadb.jdbc.internal.util.pool with parameters of type UrlParser
Modifier
Constructor
Description
``
`Pool(UrlParser urlParser, int poolIndex, ScheduledThreadPoolExecutor poolExecutor)`
Create pool from configuration.